List all Item filters
curl --request GET \
--url https://api-sandbox.argyle.com/v2/item-filters \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/v2/item-filters"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/v2/item-filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "<string>",
"previous": "<string>",
"results": [
{
"name": "Candidate for new car loan fields supported",
"filters": {
"field_coverage": {
"gigs": {
"distance": {
"supported": true
}
},
"vehicles": {
"year": {
"supported": true
}
}
}
}
},
{
"name": "Key paystub fields supported",
"filters": {
"status": {
"eq": "healthy"
},
"field_coverage": {
"paystubs": {
"gross_pay": {
"supported": {
"eq": true
}
},
"paystub_date": {
"supported": {
"eq": true
}
}
}
}
}
}
]
}Item Filters
List All Item Filters
Returns a paginated list of all Item filters.
GET
/
v2
/
item-filters
List all Item filters
Authorizations
Username = api_key_id, Password = api_key_secret
Query Parameters
Response
200 - application/json
URL for the next page of results, if available.
URL for the previous page of results, if available.
Show child attributes
Show child attributes
Example:
[
{
"name": "Candidate for new car loan fields supported",
"filters": {
"field_coverage": {
"gigs": { "distance": { "supported": true } },
"vehicles": { "year": { "supported": true } }
}
}
},
{
"name": "Key paystub fields supported",
"filters": {
"status": { "eq": "healthy" },
"field_coverage": {
"paystubs": {
"gross_pay": { "supported": { "eq": true } },
"paystub_date": { "supported": { "eq": true } }
}
}
}
}
]
⌘I